Bug 873401 - [abrt] libreoffice-core-3.5.7.2-3.fc17: ScInputHandler::SyncViews killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.5.7.2-3.fc17: ScInputHandler::SyncViews killed by s...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eike Rathke
Fedora Extras Quality Assurance
abrt_hash:f8c45217ecc89681d4aa11a5d87...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-05 13:35 EST by thomas torpey
Modified: 2012-11-09 14:44 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-09 14:44:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (3.39 KB, text/plain)
2012-11-05 13:35 EST, thomas torpey
no flags Details
File: environ (2.08 KB, text/plain)
2012-11-05 13:35 EST, thomas torpey
no flags Details
File: limits (1.29 KB, text/plain)
2012-11-05 13:35 EST, thomas torpey
no flags Details
File: backtrace (48.02 KB, text/plain)
2012-11-05 13:36 EST, thomas torpey
no flags Details
File: cgroup (131 bytes, text/plain)
2012-11-05 13:36 EST, thomas torpey
no flags Details
File: smolt_data (2.69 KB, text/plain)
2012-11-05 13:36 EST, thomas torpey
no flags Details
File: executable (40 bytes, text/plain)
2012-11-05 13:36 EST, thomas torpey
no flags Details
File: maps (66.99 KB, text/plain)
2012-11-05 13:36 EST, thomas torpey
no flags Details
File: dso_list (24.59 KB, text/plain)
2012-11-05 13:36 EST, thomas torpey
no flags Details
File: proc_pid_status (794 bytes, text/plain)
2012-11-05 13:36 EST, thomas torpey
no flags Details
File: var_log_messages (326 bytes, text/plain)
2012-11-05 13:36 EST, thomas torpey
no flags Details
File: open_fds (652 bytes, text/plain)
2012-11-05 13:36 EST, thomas torpey
no flags Details

  None (edit)
Description thomas torpey 2012-11-05 13:35:51 EST
Description of problem:
attempting to copy and paste data from forbes web on election spending.

Version-Release number of selected component:
libreoffice-core-3.5.7.2-3.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        /usr/lib/libreoffice/program/soffice.bin --calc --splash-pipe=6
crash_function: ImpEditEngine::CursorMoved
kernel:         3.6.5-1.fc17.i686.PAE

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 ImpEditEngine::CursorMoved at /usr/src/debug/libreoffice-3.5.7.2/editeng/source/editeng/impedit2.cxx:789
: #1 EditView::SetSelection at /usr/src/debug/libreoffice-3.5.7.2/editeng/source/editeng/editview.cxx:236
: #2 lcl_SetTopSelection at /usr/src/debug/libreoffice-3.5.7.2/sc/source/ui/app/inputhdl.cxx:2034
: #3 ScInputHandler::SyncViews at /usr/src/debug/libreoffice-3.5.7.2/sc/source/ui/app/inputhdl.cxx:2047
: #4 ScInputHandler::InputSelection at /usr/src/debug/libreoffice-3.5.7.2/sc/source/ui/app/inputhdl.cxx:3590
: #5 ScModule::InputSelection at /usr/src/debug/libreoffice-3.5.7.2/sc/source/ui/app/scmod.cxx:1424
: #6 ScTextWnd::MouseButtonUp at /usr/src/debug/libreoffice-3.5.7.2/sc/source/ui/app/inputwin.cxx:1559
: #7 ImplHandleMouseEvent at /usr/src/debug/libreoffice-3.5.7.2/vcl/source/window/winproc.cxx:816
: #8 ImplHandleSalMouseButtonUp at /usr/src/debug/libreoffice-3.5.7.2/vcl/source/window/winproc.cxx:2089
: #9 ImplWindowFrameProc at /usr/src/debug/libreoffice-3.5.7.2/vcl/source/window/winproc.cxx:2431
Comment 1 thomas torpey 2012-11-05 13:35:54 EST
Created attachment 638810 [details]
File: core_backtrace
Comment 2 thomas torpey 2012-11-05 13:35:56 EST
Created attachment 638811 [details]
File: environ
Comment 3 thomas torpey 2012-11-05 13:35:58 EST
Created attachment 638812 [details]
File: limits
Comment 4 thomas torpey 2012-11-05 13:36:00 EST
Created attachment 638813 [details]
File: backtrace
Comment 5 thomas torpey 2012-11-05 13:36:02 EST
Created attachment 638814 [details]
File: cgroup
Comment 6 thomas torpey 2012-11-05 13:36:04 EST
Created attachment 638815 [details]
File: smolt_data
Comment 7 thomas torpey 2012-11-05 13:36:08 EST
Created attachment 638816 [details]
File: executable
Comment 8 thomas torpey 2012-11-05 13:36:12 EST
Created attachment 638817 [details]
File: maps
Comment 9 thomas torpey 2012-11-05 13:36:14 EST
Created attachment 638818 [details]
File: dso_list
Comment 10 thomas torpey 2012-11-05 13:36:15 EST
Created attachment 638819 [details]
File: proc_pid_status
Comment 11 thomas torpey 2012-11-05 13:36:17 EST
Created attachment 638820 [details]
File: var_log_messages
Comment 12 thomas torpey 2012-11-05 13:36:19 EST
Created attachment 638821 [details]
File: open_fds
Comment 13 Caolan McNamara 2012-11-08 09:02:24 EST
Are you able to reproduce this crash ?

caolanm->erack: Nothing jumps out at me from the backtrace that gives me any ideas. You see anything ?
Comment 14 Eike Rathke 2012-11-09 11:10:44 EST
No, nothing. Only that in ImpEditEngine::CursorMoved() the ContentNode* pPrevNode or its GetCharAttribs() would not be valid, but that doesn't make sense to me either.
Comment 15 Caolan McNamara 2012-11-09 14:44:33 EST
beats us, unless there's a way to reproduce this we can't determine the root cause from bt alone

Note You need to log in before you can comment on or make changes to this bug.